%define modname sasl
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A40_%{modname}.ini

Summary:	Cyrus SASL Extension
Name:		php-%{modname}
Version:	0.1.0
Release:	%mkrel 4.1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/sasl
Source0:	http://pecl.php.net/get/sasl-%{version}.tgz
Patch0:		sasl-0.1.0-lib64.diff
Patch1:		sasl-0.1.0-php54x.diff
Patch2:		sasl-0.1.0-sasl2_shared.diff
BuildRequires:	php-devel
BuildRequires:	libsasl-devel

%description
SASL is the Simple Authentication and Security Layer (as defined by RFC 2222).
It provides a system for adding plugable authenticating support to
connection-based protocols. The SASL Extension for PHP makes the Cyrus SASL
library functions available to PHP. It aims to provide a 1-to-1 wrapper around
the SASL library to provide the greatest amount of implementation flexibility.
To that end, it is possible to build both a client-side and server-side SASL
implementation entirely in PHP.

%prep
%setup -q -n sasl-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%serverbuild

export SASL_SUB="sasl"
export SASL_SHARED_LIBADD="-lsasl2"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc docs tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Jan 19 2017 adrianomorselli <adrianomorselli> 0.1.0-4uplos2017
- rebuild

* Mon Dec 12 2016 tex - 0.1.0-4.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 0.1.0-4pclos2017
-rebuild

* Sun Mar 13 2016 bb <bb> 0.1.0-3pclos2016
- update
